Bug 188480 - colorscheme rpm fails to build due to bugs in spec file
colorscheme rpm fails to build due to bugs in spec file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: colorscheme (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2006-04-10 11:07 EDT by Prarit Bhargava
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 02:13:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix colorscheme spec file (622 bytes, patch)
2006-04-10 11:07 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2006-04-10 11:07:56 EDT
Description of problem: 
 
Spec file fails to build RPM. 
 
Version-Release number of selected component (if applicable): 
 
colorscheme-0.3-3.fc5.src.rpm 
 
How reproducible: 100% 
 
 
Steps to Reproduce: 
1. install source rpm and use rpmbuild -bb or rpmbuild --rebuild on source rpm 
   
Actual results: 
 
RPM build fails. 
 
Expected results: 
 
RPM build should complete. 
 
Additional info: 
 
Patch attached ...
Comment 1 Prarit Bhargava 2006-04-10 11:07:57 EDT
Created attachment 127549 [details]
Patch to fix colorscheme spec file
Comment 2 Michael Schwendt 2006-04-10 11:28:06 EDT
The first part of the patch is trivial. By default, the %fedora macro
is not defined outside the FE buildsys.

But the second part is weird:

> -%files -f %{name}.lang
> +%files -f %{name}.%{lang}

What do you try to achieve there? You just change a file name in a weird
way, the name of the filelist containing message object files. The %lang
macro is normal used for flagging language-specific files with the locale
id, like

  %lang(en) %_datadir/helo/foo.txt
  %lang(de) %_datadir/helo/bar.txt

I haven't seen your usage before.
Comment 3 Prarit Bhargava 2006-04-10 11:37:08 EDT
Hi Michael, 
 
Er ... maybe I'm wrong then :)  I think I got two things confused .. ignore 
the second part of the patch... 
 
P. 
Comment 4 Aurelien Bompard 2006-04-11 02:13:58 EDT
Fixed in 0.3.91-1, thanks.

Note You need to log in before you can comment on or make changes to this bug.